=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::ConnectionApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ConnectionApi' do
  before do
    # run before each test
    @instance = WeFitter::ConnectionApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ConnectionApi' do
    it 'should create an instance of ConnectionApi' do
      expect(@instance).to be_instance_of(WeFitter::ConnectionApi)
    end
  end

  # unit tests for connection_connect_create
  # Connect wearable
  # Get OAuth URL for this connection.
  # @param connection_slug 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [AppConnectionUrl]
  describe 'connection_connect_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for connection_connect_delete
  # Disconnect Wearable
  # Disconnect a wearables connection
  # @param connection_slug 
  # @param profile A profile public_id is expected
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'connection_connect_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
